---
updatedAt: 2025-07-30T16:15:25.000Z
agentTools:
  projectIndex: https://docs.supplierxm.salsify.com/llms.txt
---

# Update BU

## List of errors

All errors will follow this pattern :

```json
{
    "message": "You don't have the permission to perform this action",
    "status": 403,
    "data": {
        ...
    }
}
```

You will often find more details in the `data` object and when there are several errors on a bulk update, you will find the list of errors in the `errors` array.

<HTMLBlock>{`
<table class="errors-table">
    <thead>
        <tr>
            <th>Status</th>
            <th>Message</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td rowspan=6>400</td>
            <td>Too many business_units, maximum is 1000</td>
        </tr>
        <tr>
            <td>
              Error during business unit bulk upserting<br/>
              <i>You will find the list of errors in the \`data.errors\` array</i>
            </td>
        </tr>
        <tr>
            <td>uuid {business_unit_uuid} missmatch code {business_unit_code}. You cannot update business_unit code</td>
        </tr>
        <tr>
            <td>cannot update event for business unit</td>
        </tr>
        <tr>
            <td>Bad parameter in business_units</td>
        </tr>
        <tr>
            <td>Payload malformed: {error}</td>
        </tr>
        <tr>
            <td rowspan=1>403</td>
            <td>You don't have the permission to perform this action</td>
        </tr>
        <tr>
            <td rowspan=3>404</td>
            <td>business unit {business_unit_code} not found</td>
        </tr>
        <tr>
            <td>Business unit(s) {business_unit_uuids} not found</td>
        </tr>
        <tr>
            <td>Event not found</td>
        </tr>
        <tr>
            <td rowspan=1>409</td>
            <td>business unit {business_unit_code} already exists</td>
        </tr>
        <tr>
            <td rowspan=1>500</td>
            <td>Internal server error</td>
        </tr>
    </tbody>
</table>

<style>
	.errors-table td {
    text-align: center;
  }
  .errors-table td:last-of-type {
    text-align: left;
  }
</style>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "tenders-public-retailer",
    "version": "2.1"
  },
  "servers": [
    {
      "url": "https://apis.supplierxm.salsify.com/rfp/public/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "x-default": "SALSIFY_TOKEN",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/business_units": {
      "put": {
        "summary": "Update BU",
        "description": "",
        "operationId": "update-bu",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "business_units": {
                    "properties": {
                      "uuid": {
                        "type": "string",
                        "description": "The uuid of the business unit"
                      },
                      "data": {
                        "properties": {
                          "descriptionText": {
                            "type": "string",
                            "description": "The business unit name"
                          },
                          "limitDate": {
                            "type": "string",
                            "description": "The business unit's response deadline."
                          }
                        },
                        "required": [
                          "descriptionText",
                          "limitDate"
                        ],
                        "type": "object"
                      }
                    },
                    "required": [
                      "uuid"
                    ],
                    "type": "object"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"business_units\": [\n        {\n            \"uuid\": \"UNIQUE-ID-BU\",\n            \"code\": \"UNIQUE-CODE-BU\",\n            \"data\": {\n                \"descriptionText\": [\n                    {\n                        \"data\": \"Business Unit Name\",\n                        \"expressedIn\": {\n                            \"code\": \"fra-FR\",\n                            \"rank\": null,\n                            \"label\": \"fra-FR\",\n                            \"description\": \"fra-FR\",\n                            \"expressedIn\": [],\n                            \"_type\": \"Language\",\n                            \"data\": {\n                                \"locale\": \"fr_FR\",\n                                \"GDSN3.1\": \"fr-250\",\n                                \"GDSN2.8\": \"fr-250\"\n                            },\n                            \"normalizedCode\": \"fr\"\n                        }\n                    }\n                ],\n                \"limitDate\": \"2022-03-23\"\n            },\n            \"event\": {\n                \"uuid\": \"UNIQUE-ID-EVENT\"\n                }\n            }\n        }\n    ]\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request PUT \\\n     --url https://apis.supplierxm.salsify.com/rfp/public/v1/business_units \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer SALSIFY_TOKEN' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n        {\n          \"business_units\": [\n            {\n              \"uuid\": \"UNIQUE-ID-BU\",\n              \"event\": {\n                \"uuid\": \"UNIQUE-ID-EVENT\"\n              },\n              \"data\": {\n                \"descriptionText\": [\n                  {\n                    \"data\": \"Business Unit Name\",\n                    \"expressedIn\": {\n                      \"code\": \"fra-FR\"\n                    }\n                  }\n                ],\n                \"limitDate\": \"2022-03-23\"\n              }\n            }\n          ]\n        }'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```